import 'package:flutter_tool_android/src/flutter_tool_android_platform_interface.dart';

class FlutterToolAndroid {
  FlutterToolAndroid._();

  static Future<bool> isIgnoringBatteryOptimizations() {
    return FlutterToolAndroidPlatform.instance.isIgnoringBatteryOptimizations();
  }

  static Future<void> openBatteryOptimizationSettings() {
    return FlutterToolAndroidPlatform.instance
        .openBatteryOptimizationSettings();
  }

  static Future<void> openAppBackgroundSetting() {
    return FlutterToolAndroidPlatform.instance.openAppBackgroundSetting();
  }

  static Future<void> backHome() {
    return FlutterToolAndroidPlatform.instance.backHome();
  }
}
